Skip to main content
`Ctrl`+`K`

# PEPMonitorRegisterDestroyFn

A function prototype for functions that do the after use destruction when provided to `PEPMonitorRegister()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode PEPMonitorRegisterDestroyFn(PetscViewerAndFormat **result);

## Calling Sequence

- vf - a `PetscViewerAndFormat` object to be destroyed, including any context

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPMonitorRegisterFn`, `PEPMonitorSet()`, `PEPMonitorRegister()`, `PEPMonitorFn`, `PEPMonitorRegisterCreateFn`

## Level

advanced

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages